#ifndef __APLIKACIJA_H
#define __APLIKACIJA_H

#include <gtkmm.h>
#include <libglademm.h>
#include <string>
#include <vector>

class Aplikacija : public Gtk::Window {

public:
  Aplikacija();
  virtual ~Aplikacija();

protected:
  // Obrada dogadjaja:
  virtual void on_button_oprogramu();
  virtual void on_button_napred();
  virtual void on_button_izracunaj();
  virtual void on_unos_brojeva();
  
  // komentar: kao vector<string>
  Glib::RefPtr<Gnome::Glade::Xml> refGlade;

  // Kontrole:
  Gtk::Widget* WidgetTopLevel;
  Gtk::Button* ButtonIzadji;
  Gtk::Button* ButtonOProgramu;
  Gtk::Button* ButtonNapred;
  Gtk::Button* ButtonIzracunaj;
  Gtk::Entry*  EntryPrvi;
  Gtk::Entry*  EntryDrugi;
  Gtk::RadioButton* RadioZapis1;
  Gtk::RadioButton* RadioZapis2;
  Gtk::TextView* TextRezultat;
};

#endif
