#ifndef __REZULTAT_H
#define __REZULTAT_H
#include <gtkmm.h>
#include <string>
#include <vector>

class Rezultat
{

  public:
     void clear();
     void zavrsiRed();
     void zavrsiKorak();
     Rezultat& operator<< (std::string red);
     Rezultat& Rezultat::operator<< (char c);
     Rezultat& Rezultat::operator<< (int br);
     Glib::RefPtr<Gtk::TextBuffer> PrikaziNaredni();
     int BrojKoraka();
     int PrikazanKorak();
     
  private:
     std::vector<std::string> red;
     std::vector<std::string> korak;
     std::vector< Glib::RefPtr<Gtk::TextBuffer> > rez;
     unsigned prikazan;
};

extern Rezultat brezultat;

#endif
